Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class RemoteFileNameMessageComposer<T extends java.io.File>

    java.lang.Object
      org.jboss.soa.esb.listeners.gateway.RemoteFileMessageComposer<T>
          org.jboss.soa.esb.listeners.gateway.RemoteFileNameMessageComposer<T>

All Implemented Interfaces:
  MessageComposer<T>

    public class RemoteFileNameMessageComposer<T extends java.io.File>

extends RemoteFileMessageComposer<T>

Composer that simply set the file name as the message contents.

This can be used when handling large files and one wants to avoid parsing the file contents.

     Usage (for example inside a fs-listener element ):
     <property name="composer-class" value="org.jboss.soa.esb.listeners.gateway.RemoteFileNameMessageComposer"/>

Since:
  4.3
Author:
  Daniel Bevenius

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.message.MessageComposer
`MessageComposer.Factory`

Constructor Summary
`RemoteFileNameMessageComposer()`

Method Summary
`protected java.lang.Object` | `getPayload(T inputFile)` Simply returns the absolute path of the passed in file.

Methods inherited from class org.jboss.soa.esb.listeners.gateway.RemoteFileMessageComposer
`compose, decompose, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteFileNameMessageComposer

    public RemoteFileNameMessageComposer()

Method Detail

### getPayload

    protected java.lang.Object getPayload(T inputFile)

  Simply returns the absolute path of the passed in file.

  Overrides:
    `getPayload` in class `RemoteFileMessageComposer<T extends java.io.File>`
  Parameters:
    `inputFile` - - input File object
  Returns:
    Object - String that contains the absulute path to the file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD